LibreOffice: ConnectorProperties Service Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
ConnectorProperties Service Referencepublished

This is a set of properties to describe the style for rendering connector. More...

`import <ConnectorProperties.idl;`

Inheritance diagram for ConnectorProperties:

## Public Attributes
com::sun::star::drawing::ConnectorType | EdgeKind
| This property contains the kind of the connector.
long | EdgeNode1HorzDist
| This property contains the horizontal distance of node 1.
long | EdgeNode1VertDist
| This property contains the vertical distance of node 1.
long | EdgeNode2HorzDist
| This property contains the horizontal distance of node 2.
long | EdgeNode2VertDist
| This property contains the vertical distance of node 2.
boolean | EdgeOOXMLCurve
| If 'TRUE' a curved connector is routed compatible to OOXML.

## Detailed Description

This is a set of properties to describe the style for rendering connector.

## Member Data Documentation

## ◆ EdgeKind

com::sun::star::drawing::ConnectorType EdgeKind
| property

This property contains the kind of the connector.

## ◆ EdgeNode1HorzDist

long EdgeNode1HorzDist
| property

This property contains the horizontal distance of node 1.

## ◆ EdgeNode1VertDist

long EdgeNode1VertDist
| property

This property contains the vertical distance of node 1.

## ◆ EdgeNode2HorzDist

long EdgeNode2HorzDist
| property

This property contains the horizontal distance of node 2.

## ◆ EdgeNode2VertDist

long EdgeNode2VertDist
| property

This property contains the vertical distance of node 2.

## ◆ EdgeOOXMLCurve

boolean EdgeOOXMLCurve
| optionalproperty

If 'TRUE' a curved connector is routed compatible to OOXML.

The default value for new connectors is 'FALSE'. The property is only evaluated in case EdgeKind CURVE.

Since
  LibreOffice 24.2

The documentation for this service was generated from the following file:

- com/sun/star/drawing/ConnectorProperties.idl